%2
commandwindow
clear all
clc
syms T1 T2 t
E1=('DT1+3*T2=exp(-2*t)')
E2=('DT2-3*T1=exp(2*t)')
T1_initial=('T1(0)=30')
T2_initial=('T2(0)=30')
[T1,T2]=dsolve(E1,E2,T1_initial,T2_initial)
K=[0:0.1:5]
T1n=subs(T1,K)
T2n=subs(T2,K)
plot(K,T1n,K,T2n)
ylabel=('Temperature')
xlabel=('Time')
grid on
grid minor
axis tight
legend ('T1','T2')
figure(2)